function handle = errorbar_gray(x, y, stdy, g, c)
% errorbar_gray - plot gray errorbors (like GPML)
%
%    errorbar_gray(x, y, stdy, g, c)
%       - plot g*stdy error bars around y
%
%    errorbar_gray(x, miny, maxy, 0, c)
%       - plot error bars [miny maxy]
%        
%
%  default g=2
%  default c=[7 7 7]/8
%
% Generalized Gaussian Process Models Toolbox (GPML Add-on)
% Copyright (c) by Antoni B. Chan, 2013-11-27

if (nargin<4)
  g = 2;
end
if (nargin<5)
  c = [7 7 7]/8;
end

x    = x(:);
y    = y(:);
stdy = stdy(:);

if (g ~= 0)
  f = [y+g*stdy;flipdim(y-g*stdy,1)];
else
  maxy = stdy(:);
  miny = y(:);
  f = [maxy; flipdim(miny, 1)];
end
handle = fill([x; flipdim(x,1)], f, c, 'EdgeColor', c);

%fill([x; flipdim(x,1)], f, c, 'EdgeColor', c, 'FaceAlpha', 0.5);
