function samps = invgrnd(mu, lambda)
% Generalized Gaussian Process Models Toolbox (GPML Add-on)
% Copyright (c) by Antoni B. Chan, 2013-11-27

sampsize = size(mu);

nu = randn(sampsize);

y = nu.^2;

x = mu + (mu.^2).*y / (2*lambda)  ...
    - (0.5*mu/lambda) .* sqrt(4*mu*lambda.*y + (mu.^2).*(y.^2));

z = rand(sampsize);

samps = x;

ii = find( z > (mu./(mu+x)) );
samps(ii) = (mu(ii).^2) ./ x(ii);
