function [I] = randmulti(M,N,p)
% randmulti - draw from a multinomrial distribution
%
%   I = randmulti(M,N,p)
%
%    M - number of rows
%    N - number of columns
%    p - multinomial distribution (or number of states for uniform)
%
% Generalized Gaussian Process Models Toolbox (GPML Add-on)
% Copyright (c) by Antoni B. Chan, 2013-11-27


if (prod(size(p)) == 1)
  K = p;
  p = ones(1,K)/K;
else
  K = length(p);
end

tmp = rand(M,N);

psum = cumsum(p);

I = ones(M,N)*K;
for i=K-1:-1:1
  I = I-(tmp<psum(i));
end

return

I2 = ones(M,N);
for i=1:K-1
  I2 = I2 + (tmp>psum(i));
end


