function lf = likExCOMPoisson(varargin)
% Conway-Maxwell Poisson likelihood function 
%   y in {0,1,2,3,...}
%
% we use the (mu, nu) parameterization in Guikema & Goffelt 2008.
%
%  hyperparameter:
%     nu = exp(hyp)
%    hyp = log(nu)
%
% Generalized Gaussian Process Models Toolbox (GPML Add-on)
% Copyright (c) by Antoni B. Chan, 2013-11-27

opt.map = 'expo';
lf = likExCOMPoisson_internal(opt, varargin{:});

